# wxHtmlHelpFrame Class Reference
[Help, HTML]

`#include <wx/html/helpfrm.h>`

Inheritance diagram for wxHtmlHelpFrame:
[legend]

## Detailed Description

This class is used by wxHtmlHelpController to display help.

It is an internal class and should not be used directly - except for the case when you're writing your own HTML help controller.

##

Library: wxHTML

Category: Help, HTML

## Public Member Functions
| wxHtmlHelpFrame (wxHtmlHelpData *data=NULL)
| wxHtmlHelpFrame (wxWindow *parent, int wxWindowID, const wxString &title=wxEmptyString, int style=wxHF_DEFAULT_STYLE, wxHtmlHelpData *data=NULL, wxConfigBase *config=NULL, const wxString &rootpath=wxEmptyString)
| Constructor.
virtual void | AddToolbarButtons (wxToolBar *toolBar, int style)
| You may override this virtual method to add more buttons to the help window's toolbar.
bool | Create (wxWindow *parent, wxWindowID id, const wxString &title=wxEmptyString, int style=wxHF_DEFAULT_STYLE, wxConfigBase *config=NULL, const wxString &rootpath=wxEmptyString)
| Creates the frame.
wxHtmlHelpController * | GetController () const
| Returns the help controller associated with the frame.
void | SetController (wxHtmlHelpController *controller)
| Sets the help controller associated with the frame.
void | SetTitleFormat (const wxString &format)
| Sets the frame's title format.

List of all members.

## Constructor & Destructor Documentation

wxHtmlHelpFrame::wxHtmlHelpFrame | ( | wxHtmlHelpData * | data = `NULL` | ) |

wxHtmlHelpFrame::wxHtmlHelpFrame | ( | wxWindow * | parent,
|  | int | wxWindowID,
|  | const wxString & | title = `wxEmptyString`,
|  | int | style = `wxHF_DEFAULT_STYLE`,
|  | wxHtmlHelpData * | data = `NULL`,
|  | wxConfigBase * | config = `NULL`,
|  | const wxString & | rootpath = `wxEmptyString` |
| ) |  |  |

Constructor.

For the possible values of style, please see wxHtmlHelpController.

## Member Function Documentation

virtual void wxHtmlHelpFrame::AddToolbarButtons | ( | wxToolBar * | toolBar,
|  | int | style |
| ) |  |  | `[virtual]`

You may override this virtual method to add more buttons to the help window's toolbar.

toolBar is a pointer to the toolbar and style is the style flag as passed to the Create() method.

wxToolBar::Realize is called immediately after returning from this function.

bool wxHtmlHelpFrame::Create | ( | wxWindow * | parent,
|  | wxWindowID | id,
|  | const wxString & | title = `wxEmptyString`,
|  | int | style = `wxHF_DEFAULT_STYLE`,
|  | wxConfigBase * | config = `NULL`,
|  | const wxString & | rootpath = `wxEmptyString` |
| ) |  |  |

Creates the frame.

See the constructor for a description of the parameters.

wxHtmlHelpController* wxHtmlHelpFrame::GetController | ( |  | ) | const

Returns the help controller associated with the frame.

void wxHtmlHelpFrame::SetController | ( | wxHtmlHelpController * | controller | ) |

Sets the help controller associated with the frame.

void wxHtmlHelpFrame::SetTitleFormat | ( | const wxString & | format | ) |

Sets the frame's title format.

format must contain exactly one "%s" (it will be replaced by the page title).

|  | [ top ]